%define upstream_name	 Net-Telnet
%define upstream_version 3.04

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.002" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Net::Telnet perl module
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%upstream_name
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Net::Telnet allows you to make client connections to a TCP port and do network
I/O, especially to a port using the TELNET protocol.  Simple I/O methods such
as print, get, and getline are provided.  More sophisticated interactive
features are provided because connecting to a TELNET port ultimately means
communicating with a program designed for human interaction.  These interactive
features include the ability to specify a timeout and to wait for patterns to
appear in the input stream, such as the prompt from a shell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Net


%changelog
* Mon Jun 06 2016 tv <tv> 3.40.0-6.mga6
+ Revision: 1020411
- unbloat default install: prevent pulling full perl...

* Mon Feb 08 2016 umeabot <umeabot> 3.40.0-5.mga6
+ Revision: 944760
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.40.0-4.mga5
+ Revision: 749312
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.40.0-3.mga5
+ Revision: 685737
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.40.0-2.mga4
+ Revision: 527157
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.40.0-1.mga4
+ Revision: 439640
- update to 3.04

* Sun Jan 13 2013 umeabot <umeabot> 3.30.0-2.mga3
+ Revision: 370925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.30.0-1.mga1
+ Revision: 24257
- fix specs
- imported package perl-Net-Telnet

